#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libreadline8 installation
#
# Creation   :  2019-10-27 holbru
# Last update:  $Id: install.sh 98681 2023-03-26 17:12:10Z hbfl $
#
# Copyright (c) 2019-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libreadline8

# ---------------------------------------------------------------------------
# update
# ---------------------------------------------------------------------------
# readline 8.1, switch to usr
# /lib{64}
lib80='libhistory.so.8
libhistory.so.8.0
libreadline.so.8
libreadline.so.8.0'

# readline 8.2,
# /lib{64}
lib81='libhistory.so.8.1
libreadline.so.8.1'

case $(arch) in
x86_64)
    # 64bit system -> eisfair-64
    for lNAME in ${lib80}
    do
        /usr/bin/rm -f /lib64/${lNAME}
    done

    for lNAME in ${lib81}
    do
        /usr/bin/rm -f /usr/lib64/${lNAME}
    done
    ;;

i?86)
    # 32bit system -> eisfair-1
    for lNAME in ${lib80}
    do
        /usr/bin/rm -f /lib/${lNAME}
    done
    for lNAME in ${lib81}
    do
        /usr/bin/rm -f /usr/lib/${lNAME}
    done
    ;;
esac

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
